PPIx::Regexp::Token::Condition(3pm)

NAME
PPIx::Regexp::Token::Condition - Represent the condition of a switch

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(?(1)foo|bar)}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::Condition" is a PPIx::Regexp::Token::Reference.

"PPIx::Regexp::Token::Condition" has no descendants.

DESCRIPTION
This class represents the condition portion of a switch or conditional expression, provided that condition is reasonably represented as a token.

METHODS
This class provides no public methods beyond those provided by its superclass.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-Regexp/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025-2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.